import busio
import board
import displayio
#import keypad
from adafruit_st7789 import ST7789


class WavesharePicoLCD114:
    def __init__(self, spi=None, cs=board.GP9, dc=board.GP8, reset=board.GP12):
        displayio.release_displays()
        if not spi:
            self._spi = busio.SPI(board.GP10, board.GP11)

        self._display_bus = displayio.FourWire(
            self._spi, command=dc, chip_select=cs, reset=reset
        )

        self.display = ST7789(
            self._display_bus,
            rotation=270,
            width=240,
            height=135,
            rowstart=40,
            colstart=53,
        )
